Bug 164026 - oocalc crashes on startup
oocalc crashes on startup
Status: CLOSED DUPLICATE of bug 163930
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 19:11 EDT by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-23 10:24:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2005-07-22 19:11:29 EDT
Description of problem:
Call oocalc, watch it crash

Version-Release number of selected component (if applicable):
openoffice.org-calc-1.9.119-1.2.0.fc5

How reproducible:
Always

Steps to Reproduce:
1. oocalc
2.
3.
  
Actual results:
0x509959: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e959
0x50a15a: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1f15a
0xaf1420:  + 0x420 (__kernel_sigreturn + 0x0)
0xbf83fc5e: ????????
0xc6ece1: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x1ece1
(ucb::Content::insertNewContent(rtl::OUString const&,
com::sun::star::uno::Sequence<rtl::OUString> const&,
com::sun::star::uno::Sequence<com::sun::star::uno::Any> const&, ucb::Content&) +
0x55)
0x3ce4e0: /usr/lib/openoffice.org2.0/program/libutl680li.so + 0x454e0
(utl::UCBContentHelper::MakeFolder(ucb::Content&, String const&, ucb::Content&,
unsigned char) + 0x1a0)
0x431d854: /usr/lib/openoffice.org2.0/program/fsstorage.uno.so + 0xa854
0x43187af: /usr/lib/openoffice.org2.0/program/fsstorage.uno.so + 0x57af
0x2867cb4: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xeecb4
0x2869515: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xf0515
0x284d2f5: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xd42f5
0x990224: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x25224
0x99036c: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x2536c
0x99122c: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x2622c
0x2dd64f0: /usr/lib/openoffice.org2.0/program/servicemgr.uno.so + 0x74f0
0x2dd5eb2: /usr/lib/openoffice.org2.0/program/servicemgr.uno.so + 0x6eb2
0x284b192: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xd2192
0x281a5eb: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xa15eb
0x281ad2d: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xa1d2d
0x27c49b5: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x4b9b5
0x27c8d80: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x4fd80
0x382d112: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x17a112
0x3835f16: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x182f16
(SfxTopViewFrame::SfxTopViewFrame(SfxFrame*, SfxObjectShell*, unsigned short) +
0x1d8)
0x3838323: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x185323
(SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x43b)
0x374f272: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x9c272
0x381b541: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x168541
0x2859cda: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xe0cda
0x2859e9d: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xe0e9d
0x2859f56: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xe0f56
0x27adeef: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x34eef
0x80719ed: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x299ed
(desktop::DispatchWatcher::executeDispatchRequests(_STL::vector<desktop::DispatchWatcher::DispatchRequest,
_STL::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0xf27)
0x806b70f: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x2370f
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x10b)
0x8060dd3: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x18dd3
(desktop::Desktop::OpenDefault() + 0x25f)
0x8061e9c: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x19e9c
(desktop::Desktop::OpenClients() + 0x43c)
0x8065d2d: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x1dd2d
(desktop::Desktop::OpenClients_Impl(void*) + 0x25)
0x742c5e2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x825e2
0x7581b63: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d7b63
0x6f50f82: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ef82
0x6f76731: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x44731
(SalDisplay::DispatchInternalEvent() + 0xad)
0x9129e7: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa9e7
0x7060df0: /usr/lib/libglib-2.0.so.0 + 0x26df0
0x705eb8e: /usr/lib/libglib-2.0.so.0 + 0x24b8e (g_main_context_dispatch + 0x1dc)
0x7061b96: /usr/lib/libglib-2.0.so.0 + 0x27b96
0x7062078: /usr/lib/libglib-2.0.so.0 + 0x28078 (g_main_context_iteration + 0x66)
0x91260d: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa60d
0x6f78471: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x46471
(X11SalInstance::Yield(unsigned char) + 0x29)
0x7432988: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x88988
(Application::Yield() + 0x50)
0x74329c6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x889c6
(Application::Execute() + 0x26)
0x80656ee: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x1d6ee
(desktop::Desktop::Main() + 0x149a)
0x7437db5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ddb5 (SVMain()
+ 0x45)
0x806077f: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x1877f (sal_main +
0x47)
0x9d741f: /lib/libc.so.6 + 0x1541f (__libc_start_main + 0xdf)
0x80606b5: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x186b5
(Window::RequestHelp(HelpEvent const&) + 0x31)

Expected results:
Not this, exactly...

Additional info:
ooffice, oowriter, ooimpress, oodraw, oomath, oobase, ooviewdocs crash in the
same way
Comment 1 Caolan McNamara 2005-07-23 10:24:47 EDT

*** This bug has been marked as a duplicate of 163930 ***

Note You need to log in before you can comment on or make changes to this bug.